[MIR] prettytable

Bug #825110 reported by Dave Walker on 2011-08-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
prettytable (Debian)
Invalid
Undecided
Unassigned
prettytable (Ubuntu)
Undecided
James Page

Bug Description

Binary package hint: python-prettytable

Availability: Currently in universe

Rationale: A dependency of python-novaclient as per server-o-openstack aims to include into main

Security: No reports

Quality Assurance: No bugs in Ubuntu or Debian

Standards Compliance: Debian Policy - 3.8.1

Maintenance: Little overhead, never been touched since it's karmic. Currently synced from Debian. Server team will handle maintaining in the future as part of our Openstack efforts

Dependencies: python

TODO: Currently still using python-support requires dh_python2 transition

Related branches

Dave Walker (davewalker) on 2011-08-12
tags: added: server-o-mir
Revision history for this message
Matthias Klose (doko) wrote :

looks fine, once converted to dh_python2.

please consider providing a python3 package (not needed for the MIR)

Changed in prettytable (Ubuntu):
status: New → Incomplete
James Page (james-page) on 2011-08-16
Changed in prettytable (Ubuntu):
assignee: nobody → James Page (james-page)
James Page (james-page) on 2011-08-16
Changed in prettytable (Ubuntu):
status: Incomplete → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package prettytable - 0.5-1ubuntu1

---------------
prettytable (0.5-1ubuntu1) oneiric; urgency=low

  * Updates for Ubuntu MIR (LP: #825110).
    - debian/rules, debian/control: dh_python2 transition.
    - debian/control: Bumped Standards-Version: 3.9.2, no changes.
  * Switched to source/format: 3.0 (quilt).
  * Added python3-prettytable package:
    - debian/rules, debian/control: dh_python3 enablement, added
      dependencies to support python3 package.
    - debian/control: added python3-prettytable package.
    - debian/rules: build and clean python2.x and python3 packages.
    - debian/prettytable-example.py: updated to be python3 compatible.
 -- James Page <email address hidden> Tue, 16 Aug 2011 13:46:00 +0100

Changed in prettytable (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Dave Walker (davewalker) wrote :

Setting back to Incomplete to reflect MIR tracking status.

Changed in prettytable (Ubuntu):
status: Fix Released → Triaged
status: Triaged → Incomplete
Changed in prettytable (Debian):
status: Unknown → New
Revision history for this message
Matthias Klose (doko) wrote :

2011-08-18 13:32:20 INFO 'prettytable - 0.5-1ubuntu1/main/python' remained the same
2011-08-18 13:32:21 INFO 'python-prettytable-0.5-1ubuntu1/universe/python/OPTIONAL' binary overridden in oneiric/amd64
2011-08-18 13:32:21 INFO 'python-prettytable-0.5-1ubuntu1/universe/python/OPTIONAL' binary overridden in oneiric/armel
2011-08-18 13:32:21 INFO 'python-prettytable-0.5-1ubuntu1/universe/python/OPTIONAL' binary overridden in oneiric/i386
2011-08-18 13:32:21 INFO 'python-prettytable-0.5-1ubuntu1/universe/python/OPTIONAL' binary overridden in oneiric/powerpc
2011-08-18 13:32:21 INFO 'python3-prettytable-0.5-1ubuntu1/universe/python/OPTIONAL' binary overridden in oneiric/amd64
2011-08-18 13:32:21 INFO 'python3-prettytable-0.5-1ubuntu1/universe/python/OPTIONAL' binary overridden in oneiric/armel
2011-08-18 13:32:21 INFO 'python3-prettytable-0.5-1ubuntu1/universe/python/OPTIONAL' binary overridden in oneiric/i386
2011-08-18 13:32:21 INFO 'python3-prettytable-0.5-1ubuntu1/universe/python/OPTIONAL' binary overridden in oneiric/powerpc

Changed in prettytable (Ubuntu):
status: Incomplete → Fix Released
Revision history for this message
Matthias Klose (doko) wrote :

no MIR task for Debian

Changed in prettytable (Debian):
importance: Unknown → Undecided
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.